[arch-dev-public] coreutils - remove i18n patch?

Allan McRae allan at archlinux.org
Sat Jun 12 02:13:57 EDT 2010


The coreutils-i18n patch we currently use adds some extra support for 
multibyte characters.  However, the patch is entirely unsupported 
upstream.  I currently rely on the Fedora maintainer to fix any issues 
that are found and to update it for each release.  He also finds that 
patch a nightmare.

So the question is, should we remove that patch?  It is not acceptable 
by the usual Arch patching rules given it is not supported upstream, but 
it does provide better multibytle locale support (subject to it 
working...).  Removing the patch will probably result in a few 
regressions with multibyte locales, but we can then take those issues 

Any opinions on this?


More information about the arch-dev-public mailing list